#!/bin/sh

case $1 in
start)
	test -d /usr/local/etc/junkbuster -a -x /usr/local/sbin/junkbuster -a -f /usr/local/etc/junkbuster/configfile || exit 1
	cd /usr/local/etc/junkbuster
	su -m nobody -c "/usr/local/sbin/junkbuster configfile &"
	echo -n " junkbuster"
	;;
stop)
	killall junkbuster && echo -n " junkbuster"
	;;
restart)
	$0 stop
	$0 start
	;;
*)
	echo "Usage: `basename $0` {start|stop}" >&2
	exit 64
	;;
esac

exit 0
